package sikd.sikd5.sikd5bean.query;

import java.io.Serializable;
import java.util.Date;

import sikd.sikd5.sikd5bean.tabel.Pemda;

/**
 * @author : agus
 * @tanggal : Jan 16, 2019
 */
public class MonitorSimpatikPerPemda extends Pemda implements Serializable {
   Date pkbx;
   Date pbbx;
   Date lrax;
   Date pkbp;
   Date pbbp;
   Date lrap;
   Date subp;
   boolean statusX;
   boolean statusP;

   public MonitorSimpatikPerPemda(String kodeProvinsi, String kodePemda, String kodeSatker, String namaPemda, String namaSingkatPemda,
         short tipePemda) {
      super(kodeProvinsi, kodePemda, kodeSatker, namaPemda, namaSingkatPemda, tipePemda);
   }

   public Date getPkbx() {
      return pkbx;
   }

   public void setPkbx(Date pkbx) {
      this.pkbx = pkbx;
   }

   public Date getPbbx() {
      return pbbx;
   }

   public void setPbbx(Date pbbx) {
      this.pbbx = pbbx;
   }

   public Date getLrax() {
      return lrax;
   }

   public void setLrax(Date lrax) {
      this.lrax = lrax;
   }

   public Date getPkbp() {
      return pkbp;
   }

   public void setPkbp(Date pkbp) {
      this.pkbp = pkbp;
   }

   public Date getPbbp() {
      return pbbp;
   }

   public void setPbbp(Date pbbp) {
      this.pbbp = pbbp;
   }

   public Date getLrap() {
      return lrap;
   }

   public void setLrap(Date lrap) {
      this.lrap = lrap;
   }

   public Date getSubp() {
      return subp;
   }

   public void setSubp(Date subp) {
      this.subp = subp;
   }

   public String getKodePemda5Digit() {
      return getKodeProvinsi().trim() + "." + getKodePemda().trim();
   }

   public boolean isStatusX() {
      if (lrax != null && pkbx != null && pbbx != null) {
         statusX = true;
      } else {
         statusX = false;
      }
      return statusX;
   }

   public boolean isStatusP() {
      if (subp != null && pkbp != null && pbbp != null) {
         statusP = true;
      } else {
         statusP = false;
      }
      return statusP;
   }

   public String getStatusXString() {
      if (isStatusX()) {
         return "Lengkap";
      } else {
         return "Tidak";
      }
   }

   public String getStatusPString() {
      if (isStatusP()) {
         return "Lengkap";
      } else {
         return "Tidak";
      }
   }

   public String getStatusPXString() {
      if (isStatusP() && isStatusX()) {
         return "Lengkap";
      } else {
         return "Tidak";
      }
   }
}
